Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.gandiva.inventory
Interface InventoryElement

public interface InventoryElement

Implementations which are to be made available to the Inventory can be created using one of the methods provided by implementations of this interface. This enables the Inventory to not have to know about implementation specific.

Since:
  1.0.
Version:
  $Id: InventoryElement.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Method Summary
`ClassName` | `className()` Return the ClassName of the implementation to be created.
`java.lang.Object` | `createClassName(ClassName className)` Create an implementation and pass the constructor the ClassName parameter.
`java.lang.Object` | `createClassNameResources(ClassName className, java.lang.Object[] resources)` Create an implementation and pass the constructor the ClassName and array of Objects.
`java.lang.Object` | `createObjectName(ObjectName objectName)` Create an implementation and pass the constructor the ObjectName parameter.
`java.lang.Object` | `createObjectNameResources(ObjectName objectName, java.lang.Object[] resources)` Create an implementation and pass the constructor the ObjectName and array of Objects.
`java.lang.Object` | `createResources(java.lang.Object[] resources)` Create an implementation and pass the constructor the array of Objects.
`java.lang.Object` | `createVoid()` Create an implementation using a default constructor.

Method Detail

### createVoid

    public java.lang.Object createVoid()

  Create an implementation using a default constructor.

### createClassName

    public java.lang.Object createClassName(ClassName className)

  Create an implementation and pass the constructor the ClassName parameter.

### createObjectName

    public java.lang.Object createObjectName(ObjectName objectName)

  Create an implementation and pass the constructor the ObjectName parameter.

### createResources

    public java.lang.Object createResources(java.lang.Object[] resources)

  Create an implementation and pass the constructor the array of Objects.

### createClassNameResources

    public java.lang.Object createClassNameResources(ClassName className,
                                                     java.lang.Object[] resources)

  Create an implementation and pass the constructor the ClassName and array of Objects.

### createObjectNameResources

    public java.lang.Object createObjectNameResources(ObjectName objectName,
                                                      java.lang.Object[] resources)

  Create an implementation and pass the constructor the ObjectName and array of Objects.

### className

    public ClassName className()

  Return the ClassName of the implementation to be created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD